body {
  background-image: url("../images/benz.jpg");
  background-repeat: no-repeat;
  font-family: "Montserrat", sans-serif;
  margin: 0;
  align-items: center;
  justify-content: center;
  display: flex;
  width: 100%;
  position: relative;
}

nav {
  grid-area: menu;
  height: 50;
  align-items: center;

  font-size: 1.75em;
  line-height: 60px;
  color: white;
  display: flex;
}
nav a {
  font-size: larger;
  color: #674383;
  text-decoration: none;
  margin: 0 30px;
  font-weight: bold;
}

nav a:hover {
  color: #fff;
}
a.active {
  color: white;
  font-weight: bold;
}
.nav-link {
  display: inline-block;
  position: relative;
}

.nav-link:after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: #674383;
  transform-origin: bottom right;
  transition: transform 0.4s ease-out;
}

.nav-link:hover:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

.box {
  margin-top: 1%;
  justify-content: center;
  align-items: center;
  width: 95%;
  height: 95%;
  box-shadow: 0 0 1rem 0 rgba(0, 0, 0, 0.2);
  border-radius: 15px;
  background-color: rgba(255, 255, 255, 0.38);
  backdrop-filter: blur(5px);
  background-position: center;
  padding: 20px;
}

.search-bar {
  width: 50%;
  max-width: 500px;
  background: rgb(255, 255, 255, 0.2);
  display: flex;
  align-items: center;
  border-radius: 50px;
  padding: 5px 10px;
  backdrop-filter: blur(4px) saturate(180%);
}

#search-results ul {
  display: inline;
  background-color: transparent;
}
.search-bar input {
  background-color: transparent;
  flex: 1;
  border: 0;
  outline: none;
  padding: 10px 15px;
  font-size: 20px;
  border-radius: 25px;
}
::placeholder {
  color: #674383;
  font-size: larger;
}

.search-bar button img {
  width: 40px;
}
.search-bar button {
  border: 0;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  background: #674383;
  cursor: pointer;
}
.logo {
  width: 15%;
}

/* #displayTrending h3 {
  display: flex;
  justify-content: flex-end;
  width: max-content;
  text-align: end;
} */
#favoritesTab p {
  text-align: center;
  font-size: 30px;
}
#search-results h3 {
  text-align: center;
  font-size: 30px;
}

#search-results h3 ul {
  display: inline;
}
#upload-button {
  font-size: 30px;
}
#uploaded-item {
  height: 200px;
  width: 200px;
}
.gif-heart-container {
  background: rgb(255, 255, 255, 0.2);
  padding: 20px 20px;
  border-radius: 25px;
  float: left;
  margin: 10px;
}
.gif-heart-container:hover {
  background: rgba(0, 0, 0, 0.2);
}
.position-gif-in-container {
  width: 200px;
  height: 200px;
  object-fit: cover;
}
.position-heart-in-container {
  display: block;
  width: 25%;
  margin: auto;
}

#no-upload-message {
  display: flex;
  justify-content: center;
  font-size: 50px;
}
h2 {
  color: #674383;
  font-weight: bold;
}
p {
  font-size: large;
  color: #674383;
  font-weight: bold;
}
.custom-loader {
  width: 50px;
  height: 50px;
  display: grid;
  color: #674383;
  background: radial-gradient(
    farthest-side,
    currentColor calc(100% - 6px),
    #0000 calc(100% - 5px) 0
  );
  -webkit-mask: radial-gradient(
    farthest-side,
    #0000 calc(100% - 13px),
    #000 calc(100% - 12px)
  );
  border-radius: 50%;
  animation: s9 2s infinite linear;
}
.custom-loader {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  padding: 1px;
  background: conic-gradient(#0000 10%, #674383) content-box;
  -webkit-mask: repeating-conic-gradient(
      #0000 0deg,
      #000 1deg 20deg,
      #0000 21deg 36deg
    ),
    radial-gradient(
      farthest-side,
      #0000 calc(100% - 9px),
      #000 calc(100% - 8px)
    );
  -webkit-mask-composite: destination-in;
  mask-composite: intersect;
  animation: s4 1s infinite steps(10);
}
@keyframes s4 {
  to {
    transform: rotate(1turn);
  }
}
